libcore-ocaml_113.00.00-4build3_amd64.deb


Advertisement

Description

libcore-ocaml - Jane Street's standard library for OCaml (runtime)

Distribution: Ubuntu 17.10 (Artful Aardvark)
Repository: Ubuntu Proposed Universe amd64
Package name: libcore-ocaml
Package version: 113.00.00
Package release: 4build3
Package architecture: amd64
Package type: deb
Installed size: 86 B
Download size: 24.93 KB
Official Mirror: archive.ubuntu.com
Core is an industrial-strength alternative to the OCaml standard library. It was developed by Jane Street, which is the largest industrial user of OCaml. This package contains the runtime stuff you need to run programs using Core.

Alternatives

Provides

  • libcore-ocaml-25145

    Download

    Source package: janest-core

    Install Howto

    1. Add the following line to /etc/apt/sources.list:
      deb http://archive.ubuntu.com/ubuntu/ artful-proposed universe
    2. Update the package index:
      # sudo apt-get update
    3. Install libcore-ocaml deb packa...

    Changelog

    2016-12-21 - Gianfranco Costamagna <locutusofborg@debian.org> janest-core (113.00.00-4build3) zesty; urgency=medium * Rebuild against new OCaml ABI.

    2016-10-10 - Martin Pitt <martin.pitt@ubuntu.com> janest-core (113.00.00-4build2) yakkety; urgency=medium * No-change rebuild against current bin-prot/fieldslib/variantslib OCaml ABIs

    2016-09-02 - Matthias Klose <doko@ubuntu.com> janest-core (113.00.00-4build1) yakkety; urgency=medium * No-change rebuild for ocaml ABIs.

    2016-02-04 - Hilko Bengen <bengen@debian.org> janest-core (113.00.00-4) unstable; urgency=medium * Add more dependencies from META to libcore-ocaml-dev

    2016-02-03 - Hilko Bengen <bengen@debian.org> janest-core (113.00.00-3) unstable; urgency=medium * Merge libcore-ocaml-doc into libcore-ocaml-dev * Fix stupid typo in manual Depends

    2016-02-02 - Hilko Bengen <bengen@debian.org> janest-core (113.00.00-2) unstable; urgency=medium * Update VCS-* fields to new scheme * libcore-ocaml-dev: Add missing dependencies that were not picked up by dh_ocaml (Closes: #813439, #813463) * Fix documentation package

    2016-01-04 - Hilko Bengen <bengen@debian.org> janest-core (113.00.00-1) unstable; urgency=low [ Stéphane Glondu ] * Add bc to Build-Depends (thanks to Thorsten Glaser) [ Hilko Bengen ] * New upstream version (Closes: #754303)... which builds with OCaml version 4 and greater (Closes: #731817), can be installed on unstable (Closes: #743155) * Update watch file (point to github), copyright, control (add myself to Uploaders, bump Standards-Version, update Homepage, build-dependencies, descriptions) * Generate API documentation using dh_ocamldoc(1)

    2011-11-17 - Stéphane Glondu <glondu@debian.org> janest-core (107.01-5) unstable; urgency=low * Fix FTBFS on some architectures by forcing link with -lrt

    2011-11-16 - Stéphane Glondu <glondu@debian.org> janest-core (107.01-4) unstable; urgency=low [ Stéphane Glondu ] * New upstream release (Closes: #588095, #630670, #634565) - remove obsolete patches and debian/README.* files - remove references to core-extended (it is now distributed separately) * Switch source package format to 3.0 (quilt) * Switch to dh with overrides, bump debhelper compat level to 8 * Bump Standards-Version to 3.9.2 * Update debian/watch [ Stefano Zacchiroli ] * remove myself from Uploaders

    2011-04-21 - Mehdi Dogguy <mehdi@debian.org> janest-core (0.6.0-3) unstable; urgency=low * Fix FTBFS with OCaml 3.12 (Closes: #585460) - 0006-Fix-Gc.stat-definition-in-core_gc.ml.patch

    Advertisement
    Advertisement